Bug 95721 - Draw loses styles in redo on inserting individual slides from Impress
Summary: Draw loses styles in redo on inserting individual slides from Impress
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ImpressDraw-Styles
  Show dependency treegraph
 
Reported: 2015-11-10 09:31 UTC by Armin Le Grand
Modified: 2019-12-03 14:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Armin Le Grand 2015-11-10 09:31:39 UTC
This is a follow-up to bug#90357. Use comment 15 and it's attachment from that task. To reproduce (fix from bug#90357 is needed to not crash):
- open draw
- menu: insert/file..., insert bugdoc from bug#90357, comment 15
- in dialog 'insert slides/objects' press OK (insert all slides)
- scaling does not matter, choose either
- undo -> page vanishes again
- redo -> page appears, but it's objects look quite different due to not applied styles.
Comment 1 Armin Le Grand 2015-11-10 09:33:18 UTC
Reason is that the styles copied and applied when cloning the page are not correctly represented in undo actions and thus do not work in the created undo stack.
Comment 2 Cor Nouws 2015-11-10 12:00:41 UTC
Hi Armin,

could have some relation with issue 41436 ?
Comment 3 Armin Le Grand 2015-11-10 13:45:56 UTC
Hi Cor,

no, not related. tdf#41436 is a missing feature. Here, the styles get merged to the document and assigned to the shapes of the imported page. Using undo reverts all that, redo does it again, but without re-applying the styles. The styles are in still in the document, but their assignment to the objects is not added to the undo stack.
Comment 4 QA Administrators 2017-09-01 11:16:17 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:50:54 UTC
Dear Armin Le Grand (CIB),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug